Skip to main content
GET
/
ad_groups
List ad groups
curl --request GET \
  --url https://api.whop.com/api/v1/ad_groups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "adgrp_xxxxxxxxxxxx",
      "name": "<string>",
      "status": "active",
      "daily_budget": 6.9,
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z",
      "platform_config": {
        "typename": "<string>",
        "platform": "meta",
        "page_id": "<string>",
        "instagram_actor_id": "<string>",
        "status": "ACTIVE",
        "bid_strategy": "LOWEST_COST_WITHOUT_CAP",
        "bid_amount": 42,
        "daily_budget": 42,
        "lifetime_budget": 42,
        "end_time": "<string>",
        "optimization_goal": "NONE",
        "billing_event": "APP_INSTALLS",
        "destination_type": "UNDEFINED",
        "promoted_object": {},
        "attribution_spec": [
          {}
        ],
        "publisher_platforms": [
          "<string>"
        ],
        "facebook_positions": [
          "<string>"
        ],
        "instagram_positions": [
          "<string>"
        ],
        "geo_locations": {},
        "excluded_geo_locations": {},
        "targeting_automation": {}
      },
      "config": {
        "bid_strategy": "lowest_cost",
        "bid_amount": 42,
        "optimization_goal": "conversions",
        "billing_event": "impressions",
        "start_time": "<string>",
        "end_time": "<string>",
        "pacing": "standard",
        "frequency_cap": 42,
        "frequency_cap_interval_days": 42,
        "targeting": {
          "countries": [
            "<string>"
          ],
          "age_min": 42,
          "age_max": 42,
          "genders": [
            "male"
          ],
          "languages": [
            "<string>"
          ],
          "placement_type": "automatic",
          "device_platforms": [
            "mobile"
          ],
          "interest_ids": [
            "<string>"
          ],
          "include_audience_ids": [
            "<string>"
          ],
          "exclude_audience_ids": [
            "<string>"
          ]
        }
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

campaign_id
string
required

The unique identifier of the campaign to list ad groups for.

created_after
string<date-time> | null

Only return ad groups created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_before
string<date-time> | null

Only return ad groups created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

status
enum<string> | null

Filter ad groups by their current status.

Available options:
active,
paused,
inactive

Response

A successful response

The connection type for ExternalAdGroup.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.